gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecUnichar

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for unichar (unsigned integer) properties.

Synopsis

- newtype ParamSpecUnichar = ParamSpecUnichar (ManagedPtr ParamSpecUnichar)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUnichar o) => IsParamSpecUnichar o
- toParamSpecUnichar :: (MonadIO m, IsParamSpecUnichar o) => o -> m ParamSpecUnichar

# Exported types

newtype ParamSpecUnichar Source #

Memory-managed wrapper type.

Constructors

ParamSpecUnichar (ManagedPtr ParamSpecUnichar) |

#### Instances

Instances details

Eq ParamSpecUnichar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUnichar Methods (==) :: ParamSpecUnichar -> ParamSpecUnichar -> Bool Source # (/=) :: ParamSpecUnichar -> ParamSpecUnichar -> Bool Source #
BoxedPtr ParamSpecUnichar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUnichar Methods boxedPtrCopy :: ParamSpecUnichar -> IO ParamSpecUnichar Source # boxedPtrFree :: ParamSpecUnichar -> IO () Source #
ManagedPtrNewtype ParamSpecUnichar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUnichar Methods toManagedPtr :: ParamSpecUnichar -> ManagedPtr ParamSpecUnichar Source #
TypedObject ParamSpecUnichar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUnichar Methods glibType :: IO GType Source #
HasParentTypes ParamSpecUnichar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUnichar
type ParentTypes ParamSpecUnichar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUnichar type ParentTypes ParamSpecUnichar = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUnichar o) => IsParamSpecUnichar o Source #

Type class for types which can be safely cast to `ParamSpecUnichar`, for instance with `toParamSpecUnichar`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUnichar o) => IsParamSpecUnichar o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUnichar

toParamSpecUnichar :: (MonadIO m, IsParamSpecUnichar o) => o -> m ParamSpecUnichar Source #

Cast to `ParamSpecUnichar`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.